@azure/storage-blob package
Classes
| AccountSASPermissions |
ONLY AVAILABLE IN NODE.JS RUNTIME. This is a helper class to construct a string representing the permissions granted by an AccountSAS. Setting a value to true means that any SAS which uses these permissions will grant permissions for that operation. Once all the values are set, this should be serialized with toString and set as the permissions field on an AccountSASSignatureValues object. It is possible to construct the permissions string without this class, but the order of the permissions is particular and this class guarantees correctness. |
| AccountSASResourceTypes |
ONLY AVAILABLE IN NODE.JS RUNTIME. This is a helper class to construct a string representing the resources accessible by an AccountSAS. Setting a value to true means that any SAS which uses these permissions will grant access to that resource type. Once all the values are set, this should be serialized with toString and set as the resources field on an AccountSASSignatureValues object. It is possible to construct the resources string without this class, but the order of the resources is particular and this class guarantees correctness. |
| AccountSASServices |
ONLY AVAILABLE IN NODE.JS RUNTIME. This is a helper class to construct a string representing the services accessible by an AccountSAS. Setting a value to true means that any SAS which uses these permissions will grant access to that service. Once all the values are set, this should be serialized with toString and set as the services field on an AccountSASSignatureValues object. It is possible to construct the services string without this class, but the order of the services is particular and this class guarantees correctness. |
| AnonymousCredential |
AnonymousCredential provides a credentialPolicyCreator member used to create AnonymousCredentialPolicy objects. AnonymousCredentialPolicy is used with HTTP(S) requests that read public resources or for use with Shared Access Signatures (SAS). |
| AnonymousCredentialPolicy |
AnonymousCredentialPolicy is used with HTTP(S) requests that read public resources or for use with Shared Access Signatures (SAS). |
| AppendBlobClient |
AppendBlobClient defines a set of operations applicable to append blobs. |
| BlobBatch |
A BlobBatch represents an aggregated set of operations on blobs.
Currently, only |
| BlobBatchClient |
A BlobBatchClient allows you to make batched requests to the Azure Storage Blob service. See https://docs.microsoft.com/en-us/rest/api/storageservices/blob-batch |
| BlobClient |
A BlobClient represents a URL to an Azure Storage blob; the blob may be a block blob, append blob, or page blob. |
| BlobLeaseClient |
A client that manages leases for a getContainerClient(string) or a AppendBlobClient. |
| BlobSASPermissions |
ONLY AVAILABLE IN NODE.JS RUNTIME. This is a helper class to construct a string representing the permissions granted by a ServiceSAS to a blob. Setting a value to true means that any SAS which uses these permissions will grant permissions for that operation. Once all the values are set, this should be serialized with toString and set as the permissions field on a BlobSASSignatureValues object. It is possible to construct the permissions string without this class, but the order of the permissions is particular and this class guarantees correctness. |
| BlobServiceClient |
A BlobServiceClient represents a Client to the Azure Storage Blob service allowing you to manipulate blob containers. |
| BlockBlobClient |
BlockBlobClient defines a set of operations applicable to block blobs. |
| ContainerClient |
A ContainerClient represents a URL to the Azure Storage container allowing you to manipulate its blobs. |
| ContainerSASPermissions |
This is a helper class to construct a string representing the permissions granted by a ServiceSAS to a container. Setting a value to true means that any SAS which uses these permissions will grant permissions for that operation. Once all the values are set, this should be serialized with toString and set as the permissions field on a BlobSASSignatureValues object. It is possible to construct the permissions string without this class, but the order of the permissions is particular and this class guarantees correctness. |
| CredentialPolicy |
Credential policy used to sign HTTP(S) requests before sending. This is an abstract class. |
| Credential_2 |
Credential is an abstract class for Azure Storage HTTP requests signing. This class will host an credentialPolicyCreator factory which generates CredentialPolicy. |
| PageBlobClient |
PageBlobClient defines a set of operations applicable to page blobs. |
| Pipeline |
A Pipeline class containing HTTP request policies. You can create a default Pipeline by calling newPipeline(StorageSharedKeyCredential | AnonymousCredential | TokenCredential, StoragePipelineOptions). Or you can create a Pipeline with your own policies by the constructor of Pipeline. Refer to newPipeline(StorageSharedKeyCredential | AnonymousCredential | TokenCredential, StoragePipelineOptions) and provided policies before implementing your customized Pipeline. |
| SASQueryParameters |
Represents the components that make up an Azure Storage SAS' query parameters. This type is not constructed directly by the user; it is only generated by the AccountSASSignatureValues and BlobSASSignatureValues types. Once generated, it can be encoded into a toString() and appended to a URL directly (though caution should be taken here in case there are existing query parameters, which might affect the appropriate means of appending these query parameters). NOTE: Instances of this class are immutable. |
| StorageBrowserPolicy |
StorageBrowserPolicy will handle differences between Node.js and browser runtime, including:
|
| StorageBrowserPolicyFactory |
StorageBrowserPolicyFactory is a factory class helping generating StorageBrowserPolicy objects. |
| StorageClient |
A StorageClient represents a based URL class for BlobServiceClient, getContainerClient(string) and etc. |
| StorageClientContext | |
| StorageRetryPolicy |
Retry policy with exponential retry and linear retry implemented. |
| StorageRetryPolicyFactory |
StorageRetryPolicyFactory is a factory class helping generating StorageRetryPolicy objects. |
| StorageSharedKeyCredential |
ONLY AVAILABLE IN NODE.JS RUNTIME. StorageSharedKeyCredential for account key authorization of Azure Storage service. |
| StorageSharedKeyCredentialPolicy |
StorageSharedKeyCredentialPolicy is a policy used to sign HTTP request with a shared key. |
Interfaces
| AccessPolicy |
An Access policy |
| AccountSASPermissionsLike |
A type that looks like an account SAS permission. Used in AccountSASPermissions to parse SAS permissions from raw objects. |
| AccountSASSignatureValues |
ONLY AVAILABLE IN NODE.JS RUNTIME. AccountSASSignatureValues is used to generate a Shared Access Signature (SAS) for an Azure Storage account. Once all the values here are set appropriately, call generateAccountSASQueryParameters(AccountSASSignatureValues, StorageSharedKeyCredential) to obtain a representation of the SAS which can actually be applied to blob urls. Note: that both this class and SASQueryParameters exist because the former is mutable and a logical representation while the latter is immutable and used to generate actual REST requests. See https://docs.microsoft.com/en-us/azure/storage/common/storage-dotnet-shared-access-signature-part-1 for more conceptual information on SAS See https://docs.microsoft.com/en-us/rest/api/storageservices/constructing-an-account-sas for descriptions of the parameters, including which are required |
| AppendBlobAppendBlockFromURLOptions |
Options to configure the appendBlockFromURL(string, number, number, AppendBlobAppendBlockFromURLOptions) operation. |
| AppendBlobAppendBlockFromUrlHeaders |
Defines headers for AppendBlob_appendBlockFromUrl operation. |
| AppendBlobAppendBlockHeaders |
Defines headers for AppendBlob_appendBlock operation. |
| AppendBlobAppendBlockOptions |
Options to configure the appendBlock(HttpRequestBody, number, AppendBlobAppendBlockOptions) operation. |
| AppendBlobCreateHeaders |
Defines headers for AppendBlob_create operation. |
| AppendBlobCreateIfNotExistsOptions |
Options to configure createIfNotExists(AppendBlobCreateIfNotExistsOptions) operation. |
| AppendBlobCreateIfNotExistsResponse |
Contains response data for the <xref:appendBlobClient.createIfNotExists> operation. |
| AppendBlobCreateOptions |
Options to configure create(AppendBlobCreateOptions) operation. |
| AppendBlobRequestConditions |
Conditions to add to the creation of this append blob. |
| AppendBlobSealOptions |
Options to configure seal(AppendBlobSealOptions) operation. |
| AppendPositionAccessConditions |
Parameter group |
| BatchSubRequest |
A request associated with a batch operation. |
| BatchSubResponse |
The response data associated with a single request within a batch operation. |
| BlobAbortCopyFromURLHeaders |
Defines headers for Blob_abortCopyFromURL operation. |
| BlobAbortCopyFromURLOptions |
Options to configure the abortCopyFromURL(string, BlobAbortCopyFromURLOptions) operation. |
| BlobAcquireLeaseOptions |
Options to configure Blob - Acquire Lease operation. |
| BlobBatchSubmitBatchOptionalParams |
Options to configure the Service - Submit Batch Optional Params. |
| BlobBeginCopyFromURLOptions |
Options to configure the beginCopyFromURL(string, BlobBeginCopyFromURLOptions) operation. |
| BlobBeginCopyFromURLResponse |
Contains response data for the beginCopyFromURL(string, BlobBeginCopyFromURLOptions) operation. |
| BlobBeginCopyFromUrlPollState |
The state used by the poller returned from beginCopyFromURL(string, BlobBeginCopyFromURLOptions).
This state is passed into the user-specified |
| BlobBreakLeaseOptions |
Options to configure Blob - Break Lease operation. |
| BlobChangeLeaseOptions |
Options to configure Blob - Change Lease operation. |
| BlobCopyFromURLHeaders |
Defines headers for Blob_copyFromURL operation. |
| BlobCreateSnapshotHeaders |
Defines headers for Blob_createSnapshot operation. |
| BlobCreateSnapshotOptions |
Options to configure the createSnapshot(BlobCreateSnapshotOptions) operation. |
| BlobDeleteHeaders |
Defines headers for Blob_delete operation. |
| BlobDeleteIfExistsResponse |
Contains response data for the deleteIfExists(BlobDeleteOptions) operation. |
| BlobDeleteImmutabilityPolicyHeaders |
Defines headers for Blob_deleteImmutabilityPolicy operation. |
| BlobDeleteImmutabilityPolicyOptions |
Options for deleting immutability policy deleteImmutabilityPolicy(BlobDeleteImmutabilityPolicyOptions) operation. |
| BlobDeleteOptions |
Options to configure the delete(BlobDeleteOptions) operation. |
| BlobDownloadHeaders |
Defines headers for Blob_download operation. |
| BlobDownloadOptionalParams |
Optional parameters. |
| BlobDownloadOptions |
Options to configure the download(number, number, BlobDownloadOptions) operation. |
| BlobDownloadResponseParsed |
Contains response data for the download(number, number, BlobDownloadOptions) operation. |
| BlobDownloadToBufferOptions |
Option interface for the downloadToBuffer(number, number, BlobDownloadToBufferOptions) operation. |
| BlobExistsOptions |
Options to configure the exists(BlobExistsOptions) operation. |
| BlobFlatListSegment |
An interface representing BlobFlatListSegment. |
| BlobFlatListSegmentModel | |
| BlobGenerateSasUrlOptions |
Options to configure generateSasUrl(BlobGenerateSasUrlOptions) operation. |
| BlobGetPropertiesHeaders |
Defines headers for Blob_getProperties operation. |
| BlobGetPropertiesOptions |
Options to configure the getProperties(BlobGetPropertiesOptions) operation. |
| BlobGetPropertiesResponse |
Contains response data for the getProperties(BlobGetPropertiesOptions) operation. |
| BlobGetTagsHeaders |
Defines headers for Blob_getTags operation. |
| BlobGetTagsOptions |
Options to configure the getTags(BlobGetTagsOptions) operation. |
| BlobHTTPHeaders |
Parameter group |
| BlobHierarchyListSegment |
An interface representing BlobHierarchyListSegment. |
| BlobHierarchyListSegmentModel | |
| BlobImmutabilityPolicy |
Describe immutable policy for blob. |
| BlobItem |
An Azure Storage blob |
| BlobItemInternal |
An Azure Storage blob |
| BlobPrefix | |
| BlobProperties |
Properties of a blob |
| BlobQueryArrowConfiguration |
Options to query blob with Apache Arrow format. Only valid for outputTextConfiguration. |
| BlobQueryArrowField |
Describe a field in BlobQueryArrowConfiguration. |
| BlobQueryCsvTextConfiguration |
Options to query blob with CSV format. |
| BlobQueryError |
Blob query error type. |
| BlobQueryHeaders |
Defines headers for Blob_query operation. |
| BlobQueryJsonTextConfiguration |
Options to query blob with JSON format. |
| BlobQueryParquetConfiguration |
Options to query blob with Parquet format. Only valid for inputTextConfiguration. |
| BlobReleaseLeaseOptions |
Options to configure Blob - Release Lease operation. |
| BlobRenewLeaseOptions |
Options to configure Blob - Renew Lease operation. |
| BlobRequestConditions |
standard HTTP conditional headers, tags condition and lease condition |
| BlobSASPermissionsLike |
A type that looks like a Blob SAS permission. Used in BlobSASPermissions to parse SAS permissions from raw objects. |
| BlobSASSignatureValues |
ONLY AVAILABLE IN NODE.JS RUNTIME. BlobSASSignatureValues is used to help generating Blob service SAS tokens for containers or blobs. |
| BlobServiceProperties |
Storage Service Properties. |
| BlobServiceStatistics |
Stats for the storage service. |
| BlobSetHTTPHeadersHeaders |
Defines headers for Blob_setHttpHeaders operation. |
| BlobSetHTTPHeadersOptions |
Options to configure the setHTTPHeaders(BlobHTTPHeaders, BlobSetHTTPHeadersOptions) operation. |
| BlobSetImmutabilityPolicyHeaders |
Defines headers for Blob_setImmutabilityPolicy operation. |
| BlobSetImmutabilityPolicyOptions |
Options for setting immutability policy setImmutabilityPolicy(BlobImmutabilityPolicy, BlobSetImmutabilityPolicyOptions) operation. |
| BlobSetLegalHoldHeaders |
Defines headers for Blob_setLegalHold operation. |
| BlobSetLegalHoldOptions |
Options for setting legal hold setLegalHold(boolean, BlobSetLegalHoldOptions) operation. |
| BlobSetMetadataHeaders |
Defines headers for Blob_setMetadata operation. |
| BlobSetMetadataOptions |
Options to configure the setMetadata(Metadata, BlobSetMetadataOptions) operation. |
| BlobSetTagsHeaders |
Defines headers for Blob_setTags operation. |
| BlobSetTagsOptions |
Options to configure the setTags(Tags, BlobSetTagsOptions) operation. |
| BlobSetTierHeaders |
Defines headers for Blob_setTier operation. |
| BlobSetTierOptions |
Options to configure the setAccessTier(BlockBlobTier | PremiumPageBlobTier | string, BlobSetTierOptions) operation. |
| BlobStartCopyFromURLHeaders |
Defines headers for Blob_startCopyFromURL operation. |
| BlobStartCopyFromURLOptions |
Options to configure the beginCopyFromURL(string, BlobBeginCopyFromURLOptions) operation. |
| BlobSyncCopyFromURLOptions |
Options to configure the syncCopyFromURL(string, BlobSyncCopyFromURLOptions) operation. |
| BlobTag | |
| BlobTags |
Blob tags |
| BlobUndeleteHeaders |
Defines headers for Blob_undelete operation. |
| BlobUndeleteOptions |
Options to configure the undelete(BlobUndeleteOptions) operation. |
| Block |
Represents a single block in a block blob. It describes the block's ID and size. |
| BlockBlobCommitBlockListHeaders |
Defines headers for BlockBlob_commitBlockList operation. |
| BlockBlobCommitBlockListOptions |
Options to configure commitBlockList(string[], BlockBlobCommitBlockListOptions) operation. |
| BlockBlobGetBlockListHeaders |
Defines headers for BlockBlob_getBlockList operation. |
| BlockBlobGetBlockListOptions |
Options to configure getBlockList(BlockListType, BlockBlobGetBlockListOptions) operation. |
| BlockBlobParallelUploadOptions |
Option interface for uploadFile(string, BlockBlobParallelUploadOptions) and <xref:BlockBlobClient.uploadSeekableStream>. |
| BlockBlobPutBlobFromUrlHeaders |
Defines headers for BlockBlob_putBlobFromUrl operation. |
| BlockBlobQueryOptions |
Options to configure query(string, BlockBlobQueryOptions) operation. |
| BlockBlobStageBlockFromURLHeaders |
Defines headers for BlockBlob_stageBlockFromURL operation. |
| BlockBlobStageBlockFromURLOptions |
Options to configure stageBlockFromURL(string, string, number, number, BlockBlobStageBlockFromURLOptions) operation. |
| BlockBlobStageBlockHeaders |
Defines headers for BlockBlob_stageBlock operation. |
| BlockBlobStageBlockOptions |
Options to configure stageBlock(string, HttpRequestBody, number, BlockBlobStageBlockOptions) operation. |
| BlockBlobSyncUploadFromURLOptions |
Options to configure syncUploadFromURL(string, BlockBlobSyncUploadFromURLOptions) operation. |
| BlockBlobUploadHeaders |
Defines headers for BlockBlob_upload operation. |
| BlockBlobUploadOptions |
Options to configure upload(HttpRequestBody, number, BlockBlobUploadOptions) operation. |
| BlockBlobUploadStreamOptions |
Option interface for the uploadStream(Readable, number, number, BlockBlobUploadStreamOptions) operation. |
| BlockList | |
| ClearRange | |
| CommonGenerateSasUrlOptions |
Common options of BlobGenerateSasUrlOptions and ContainerGenerateSasUrlOptions. |
| CommonOptions |
An interface for options common to every remote operation. |
| ContainerAcquireLeaseOptions |
Options to configure Container - Acquire Lease operation. |
| ContainerBreakLeaseOptionalParams |
Optional parameters. |
| ContainerBreakLeaseOptions |
Options to configure Container - Break Lease operation. |
| ContainerChangeLeaseOptions |
Options to configure Container - Change Lease operation. |
| ContainerCreateHeaders |
Defines headers for Container_create operation. |
| ContainerCreateIfNotExistsResponse |
Contains response data for the createIfNotExists(ContainerCreateOptions) operation. |
| ContainerCreateOptions |
Options to configure create(ContainerCreateOptions) operation. |
| ContainerDeleteBlobOptions |
Options to configure the deleteBlob(string, ContainerDeleteBlobOptions) operation. |
| ContainerDeleteHeaders |
Defines headers for Container_delete operation. |
| ContainerDeleteIfExistsResponse |
Contains response data for the deleteIfExists(ContainerDeleteMethodOptions) operation. |
| ContainerDeleteMethodOptions |
Options to configure delete(ContainerDeleteMethodOptions) operation. |
| ContainerEncryptionScope |
Parameter group |
| ContainerExistsOptions |
Options to configure exists(ContainerExistsOptions) operation. |
| ContainerFilterBlobsHeaders |
Defines headers for Container_filterBlobs operation. |
| ContainerFindBlobByTagsOptions |
Options to configure the findBlobsByTags(string, ServiceFindBlobByTagsOptions) operation. |
| ContainerGenerateSasUrlOptions |
Options to configure generateSasUrl(ContainerGenerateSasUrlOptions) operation. |
| ContainerGetAccessPolicyHeaders |
Defines headers for Container_getAccessPolicy operation. |
| ContainerGetAccessPolicyOptions |
Options to configure getAccessPolicy(ContainerGetAccessPolicyOptions) operation. |
| ContainerGetPropertiesHeaders |
Defines headers for Container_getProperties operation. |
| ContainerGetPropertiesOptions |
Options to configure getProperties(ContainerGetPropertiesOptions) operation. |
| ContainerItem |
An Azure Storage container |
| ContainerListBlobFlatSegmentHeaders |
Defines headers for Container_listBlobFlatSegment operation. |
| ContainerListBlobHierarchySegmentHeaders |
Defines headers for Container_listBlobHierarchySegment operation. |
| ContainerListBlobsOptions |
Options to configure Container - List Blobs operations. See: |
| ContainerProperties |
Properties of a container |
| ContainerReleaseLeaseOptions |
Options to configure Container - Release Lease operation. |
| ContainerRenameHeaders |
Defines headers for Container_rename operation. |
| ContainerRenewLeaseOptions |
Options to configure Container - Renew Lease operation. |
| ContainerRequestConditions |
Conditions to meet for the container. |
| ContainerSASPermissionsLike |
A type that looks like a Container SAS permission. Used in ContainerSASPermissions to parse SAS permissions from raw objects. |
| ContainerSetAccessPolicyHeaders |
Defines headers for Container_setAccessPolicy operation. |
| ContainerSetAccessPolicyOptions |
Options to configure setAccessPolicy(PublicAccessType, SignedIdentifier[], ContainerSetAccessPolicyOptions) operation. |
| ContainerSetMetadataHeaders |
Defines headers for Container_setMetadata operation. |
| ContainerSetMetadataOptions |
Options to configure setMetadata(Metadata, ContainerSetMetadataOptions) operation. |
| ContainerUndeleteHeaders |
Defines headers for Container_restore operation. |
| CorsRule |
CORS is an HTTP feature that enables a web application running under one domain to access resources in another domain. Web browsers implement a security restriction known as same-origin policy that prevents a web page from calling APIs in a different domain; CORS provides a secure way to allow one domain (the origin domain) to call APIs in another domain |
| CpkInfo |
Parameter group |
| FilterBlobItem |
Blob info from a findBlobsByTags(string, ServiceFindBlobByTagsOptions) |
| FilterBlobItemModel |
Blob info from a Filter Blobs API call |
| FilterBlobSegment |
Segment response of findBlobsByTags(string, ServiceFindBlobByTagsOptions) operation. |
| FilterBlobSegmentModel |
The result of a Filter Blobs API call |
| GeoReplication |
Geo-Replication information for the Secondary Storage Service |
| HttpAuthorization |
Represents authentication information in Authorization, ProxyAuthorization, WWW-Authenticate, and Proxy-Authenticate header values. |
| Lease |
The details for a specific lease. |
| LeaseAccessConditions |
Parameter group |
| LeaseOperationOptions |
Configures lease operations. |
| ListBlobsFlatSegmentResponse |
An enumeration of blobs |
| ListBlobsFlatSegmentResponseModel |
An enumeration of blobs |
| ListBlobsHierarchySegmentResponse |
An enumeration of blobs |
| ListBlobsHierarchySegmentResponseModel |
An enumeration of blobs |
| ListContainersSegmentResponse |
An enumeration of containers |
| Logging |
Azure Analytics Logging settings. |
| MatchConditions |
Specifies HTTP options for conditional requests based on ETag matching. |
| Metadata |
A map of name-value pairs to associate with the resource. |
| Metrics |
a summary of request statistics grouped by API in hour or minute aggregates for blobs |
| ModificationConditions |
Specifies HTTP options for conditional requests based on modification time. |
| ModifiedAccessConditions |
standard HTTP conditional headers and tags condition. |
| ModifiedAccessConditionsModel |
Parameter group |
| ObjectReplicationPolicy |
Contains Object Replication Policy ID and the respective list of ObjectReplicationRule. This is used when retrieving the Object Replication Properties on the source blob. The policy id for the destination blob is set in ObjectReplicationDestinationPolicyId of the respective method responses (e.g. <xref:BlobProperties.ObjectReplicationDestinationPolicyId>. |
| ObjectReplicationRule |
Contains the Object Replication Rule ID and ObjectReplicationStatus of a blob. There can be more than one ObjectReplicationRule under a ObjectReplicationPolicy. |
| PageBlobClearPagesHeaders |
Defines headers for PageBlob_clearPages operation. |
| PageBlobClearPagesOptions |
Options to configure the clearPages(number, number, PageBlobClearPagesOptions) operation. |
| PageBlobCopyIncrementalHeaders |
Defines headers for PageBlob_copyIncremental operation. |
| PageBlobCreateHeaders |
Defines headers for PageBlob_create operation. |
| PageBlobCreateIfNotExistsOptions |
Options to configure the createIfNotExists(number, PageBlobCreateIfNotExistsOptions) operation. |
| PageBlobCreateIfNotExistsResponse |
Contains response data for the createIfNotExists(number, PageBlobCreateIfNotExistsOptions) operation. |
| PageBlobCreateOptions |
Options to configure the create(number, PageBlobCreateOptions) operation. |
| PageBlobGetPageRangesDiffHeaders |
Defines headers for PageBlob_getPageRangesDiff operation. |
| PageBlobGetPageRangesDiffOptions |
Options to configure the <xref:PageBlobClient.getRangesDiff> operation. |
| PageBlobGetPageRangesDiffResponse |
Contains response data for the getPageRangesDiff(number, number, string, PageBlobGetPageRangesDiffOptions) operation. |
| PageBlobGetPageRangesHeaders |
Defines headers for PageBlob_getPageRanges operation. |
| PageBlobGetPageRangesOptions |
Options to configure the getPageRanges(number, number, PageBlobGetPageRangesOptions) operation. |
| PageBlobGetPageRangesResponse |
Contains response data for the getPageRanges(number, number, PageBlobGetPageRangesOptions) operation. |
| PageBlobListPageRangesDiffOptions |
Options to configure the listPageRangesDiff(number, number, string, PageBlobListPageRangesDiffOptions) operation. |
| PageBlobListPageRangesOptions |
Options to configure the listPageRanges(number, number, PageBlobListPageRangesOptions) operation. |
| PageBlobRequestConditions |
Conditions to add to the creation of this page blob. |
| PageBlobResizeHeaders |
Defines headers for PageBlob_resize operation. |
| PageBlobResizeOptions |
Options to configure resize(number, PageBlobResizeOptions) operation. |
| PageBlobStartCopyIncrementalOptions |
Options to configure startCopyIncremental(string, PageBlobStartCopyIncrementalOptions) operation. |
| PageBlobUpdateSequenceNumberHeaders |
Defines headers for PageBlob_updateSequenceNumber operation. |
| PageBlobUpdateSequenceNumberOptions |
Options to configure updateSequenceNumber(SequenceNumberActionType, number, PageBlobUpdateSequenceNumberOptions) operation. |
| PageBlobUploadPagesFromURLHeaders |
Defines headers for PageBlob_uploadPagesFromURL operation. |
| PageBlobUploadPagesFromURLOptions |
Options to configure uploadPagesFromURL(string, number, number, number, PageBlobUploadPagesFromURLOptions) operation. |
| PageBlobUploadPagesHeaders |
Defines headers for PageBlob_uploadPages operation. |
| PageBlobUploadPagesOptions |
Options to configure the uploadPages(HttpRequestBody, number, number, PageBlobUploadPagesOptions) operation. |
| PageList |
List of page ranges for a blob. |
| PageList_2 |
the list of pages |
| PageRange | |
| PageRangeInfo | |
| ParsedBatchResponse |
The multipart/mixed response which contains the response for each subrequest. |
| PipelineLike |
An interface for the Pipeline class containing HTTP request policies. You can create a default Pipeline by calling newPipeline(StorageSharedKeyCredential | AnonymousCredential | TokenCredential, StoragePipelineOptions). Or you can create a Pipeline with your own policies by the constructor of Pipeline. Refer to newPipeline(StorageSharedKeyCredential | AnonymousCredential | TokenCredential, StoragePipelineOptions) and provided policies before implementing your customized Pipeline. |
| PipelineOptions |
Option interface for Pipeline constructor. |
| Range_2 |
Range for Blob Service Operations. |
| RetentionPolicy |
the retention policy which determines how long the associated data should persist |
| SASQueryParametersOptions |
Options to construct SASQueryParameters. |
| SasIPRange |
Allowed IP range for a SAS. |
| SequenceNumberAccessConditions |
Parameter group |
| ServiceFilterBlobsHeaders |
Defines headers for Service_filterBlobs operation. |
| ServiceFindBlobByTagsOptions |
Options to configure the findBlobsByTags(string, ServiceFindBlobByTagsOptions) operation. |
| ServiceGenerateAccountSasUrlOptions |
Options to configure generateAccountSasUrl(Date, AccountSASPermissions, string, ServiceGenerateAccountSasUrlOptions) operation. |
| ServiceGetAccountInfoHeaders |
Defines headers for Service_getAccountInfo operation. |
| ServiceGetAccountInfoOptions |
Options to configure the getAccountInfo(ServiceGetAccountInfoOptions) operation. |
| ServiceGetPropertiesHeaders |
Defines headers for Service_getProperties operation. |
| ServiceGetPropertiesOptions |
Options to configure the getProperties(ServiceGetPropertiesOptions) operation. |
| ServiceGetStatisticsHeaders |
Defines headers for Service_getStatistics operation. |
| ServiceGetStatisticsOptions |
Options to configure the getStatistics(ServiceGetStatisticsOptions) operation. |
| ServiceGetUserDelegationKeyHeaders |
Defines headers for Service_getUserDelegationKey operation. |
| ServiceGetUserDelegationKeyOptions |
Options to configure the Service - Get User Delegation Key. |
| ServiceListContainersOptions |
Options to configure the listContainers(ServiceListContainersOptions) operation. |
| ServiceListContainersSegmentHeaders |
Defines headers for Service_listContainersSegment operation. |
| ServiceRenameContainerOptions |
Options to configure <xref:BlobServiceClient.renameContainer> operation. |
| ServiceSetPropertiesHeaders |
Defines headers for Service_setProperties operation. |
| ServiceSetPropertiesOptions |
Options to configure the setProperties(BlobServiceProperties, ServiceSetPropertiesOptions) operation. |
| ServiceSubmitBatchHeaders |
Defines headers for Service_submitBatch operation. |
| ServiceSubmitBatchOptionalParamsModel |
Optional parameters. |
| ServiceUndeleteContainerOptions |
Options to configure undeleteContainer(string, string, ServiceUndeleteContainerOptions) operation. |
| SignedIdentifier |
Signed identifier. |
| SignedIdentifierModel |
signed identifier |
| StaticWebsite |
The properties that enable an account to host a static website |
| StorageClientOptionalParams |
Optional parameters. |
| StoragePipelineOptions |
Options interface for the newPipeline(StorageSharedKeyCredential | AnonymousCredential | TokenCredential, StoragePipelineOptions) function. |
| StorageRetryOptions |
Storage Blob retry options interface. |
| TagConditions |
Specifies HTTP options for conditional requests based on blob tags. |
| UserDelegationKey |
A user delegation key. |
| UserDelegationKeyModel |
A user delegation key |
Type Aliases
| AccessTier |
Defines values for AccessTier. |
| AccountKind |
Defines values for AccountKind. |
| AppendBlobAppendBlockFromUrlResponse |
Contains response data for the appendBlockFromUrl operation. |
| AppendBlobAppendBlockResponse |
Contains response data for the appendBlock operation. |
| AppendBlobCreateResponse |
Contains response data for the create operation. |
| ArchiveStatus |
Defines values for ArchiveStatus. |
| BlobAbortCopyFromURLResponse |
Contains response data for the abortCopyFromURL operation. |
| BlobBatchDeleteBlobsResponse |
Contains response data for the deleteBlobs(string[], StorageSharedKeyCredential | AnonymousCredential | TokenCredential, BlobDeleteOptions) operation. |
| BlobBatchSetBlobsAccessTierResponse |
Contains response data for the setBlobsAccessTier(string[], StorageSharedKeyCredential | AnonymousCredential | TokenCredential, AccessTier, BlobSetTierOptions) operation. |
| BlobBatchSubmitBatchResponse |
Contains response data for blob batch operations. |
| BlobCopyFromURLResponse |
Contains response data for the copyFromURL operation. |
| BlobCopySourceTags |
Defines values for BlobCopySourceTags. |
| BlobCreateSnapshotResponse |
Contains response data for the createSnapshot operation. |
| BlobDeleteImmutabilityPolicyResponse |
Contains response data for the deleteImmutabilityPolicy operation. |
| BlobDeleteResponse |
Contains response data for the delete operation. |
| BlobDownloadResponseModel |
Contains response data for the download operation. |
| BlobGetPropertiesResponseModel |
Contains response data for the getProperties operation. |
| BlobGetTagsResponse |
Contains response data for the getTags(BlobGetTagsOptions) operation. |
| BlobImmutabilityPolicyMode |
Defines values for BlobImmutabilityPolicyMode. |
| BlobQueryArrowFieldType |
The type of a BlobQueryArrowField. |
| BlobQueryResponseModel |
Contains response data for the query operation. |
| BlobSetHTTPHeadersResponse |
Contains response data for the setHttpHeaders operation. |
| BlobSetImmutabilityPolicyResponse |
Contains response data for the setImmutabilityPolicy operation. |
| BlobSetLegalHoldResponse |
Contains response data for the setLegalHold operation. |
| BlobSetMetadataResponse |
Contains response data for the setMetadata operation. |
| BlobSetTagsResponse |
Contains response data for the setTags operation. |
| BlobSetTierResponse |
Contains response data for the setTier operation. |
| BlobStartCopyFromURLResponse |
Contains response data for the startCopyFromURL operation. |
| BlobType |
Defines values for BlobType. |
| BlobUndeleteResponse |
Contains response data for the undelete operation. |
| BlobUploadCommonResponse |
Response type for uploadFile(string, BlockBlobParallelUploadOptions), uploadStream(Readable, number, number, BlockBlobUploadStreamOptions), and <xref:BlockBlobClient.uploadBrowserDate>. |
| BlockBlobCommitBlockListResponse |
Contains response data for the commitBlockList operation. |
| BlockBlobGetBlockListResponse |
Contains response data for the getBlockList operation. |
| BlockBlobPutBlobFromUrlResponse |
Contains response data for the putBlobFromUrl operation. |
| BlockBlobStageBlockFromURLResponse |
Contains response data for the stageBlockFromURL operation. |
| BlockBlobStageBlockResponse |
Contains response data for the stageBlock operation. |
| BlockBlobUploadResponse |
Contains response data for the upload operation. |
| BlockListType |
Defines values for BlockListType. |
| ContainerCreateResponse |
Contains response data for the create operation. |
| ContainerDeleteResponse |
Contains response data for the delete operation. |
| ContainerFindBlobsByTagsSegmentResponse |
The response of findBlobsByTags(string, ServiceFindBlobByTagsOptions) operation. |
| ContainerGetAccessPolicyResponse |
Contains response data for the getAccessPolicy(ContainerGetAccessPolicyOptions) operation. |
| ContainerGetPropertiesResponse |
Contains response data for the getProperties operation. |
| ContainerListBlobFlatSegmentResponse |
Contains response data for the listBlobFlatSegment operation. |
| ContainerListBlobHierarchySegmentResponse |
Contains response data for the listBlobHierarchySegment operation. |
| ContainerRenameResponse |
Contains response data for the rename operation. |
| ContainerSetAccessPolicyResponse |
Contains response data for the setAccessPolicy operation. |
| ContainerSetMetadataResponse |
Contains response data for the setMetadata operation. |
| ContainerUndeleteResponse |
Contains response data for the restore operation. |
| CopyPollerBlobClient |
Defines the operations from a AppendBlobClient that are needed for the poller returned by beginCopyFromURL(string, BlobBeginCopyFromURLOptions) to work. |
| CopyStatusType |
Defines values for CopyStatusType. |
| CredentialPolicyCreator |
A factory function that creates a new CredentialPolicy that uses the provided nextPolicy. |
| DeleteSnapshotsOptionType |
Defines values for DeleteSnapshotsOptionType. |
| EncryptionAlgorithmType |
Defines values for EncryptionAlgorithmType. |
| GeoReplicationStatusType |
Defines values for GeoReplicationStatusType. |
| LeaseDurationType |
Defines values for LeaseDurationType. |
| LeaseOperationResponse |
Contains the response data for operations that create, modify, or delete a lease. See getBlobLeaseClient(string). |
| LeaseStateType |
Defines values for LeaseStateType. |
| LeaseStatusType |
Defines values for LeaseStatusType. |
| ObjectReplicationStatus |
Specifies the Replication Status of a blob. This is used when a storage account has Object Replication Policy(s) applied. See ObjectReplicationPolicy and ObjectReplicationRule. |
| PageBlobClearPagesResponse |
Contains response data for the clearPages operation. |
| PageBlobCopyIncrementalResponse |
Contains response data for the copyIncremental operation. |
| PageBlobCreateResponse |
Contains response data for the create operation. |
| PageBlobGetPageRangesDiffResponseModel |
Contains response data for the getPageRangesDiff operation. |
| PageBlobGetPageRangesResponseModel |
Contains response data for the getPageRanges operation. |
| PageBlobResizeResponse |
Contains response data for the resize operation. |
| PageBlobUpdateSequenceNumberResponse |
Contains response data for the updateSequenceNumber operation. |
| PageBlobUploadPagesFromURLResponse |
Contains response data for the uploadPagesFromURL operation. |
| PageBlobUploadPagesResponse |
Contains response data for the uploadPages operation. |
| PublicAccessType |
Defines values for PublicAccessType. |
| RehydratePriority |
Defines values for RehydratePriority. |
| SequenceNumberActionType |
Defines values for SequenceNumberActionType. |
| ServiceFindBlobsByTagsSegmentResponse |
The response of findBlobsByTags(string, ServiceFindBlobByTagsOptions) operation. |
| ServiceGetAccountInfoResponse |
Contains response data for the getAccountInfo operation. |
| ServiceGetPropertiesResponse |
Contains response data for the getProperties operation. |
| ServiceGetStatisticsResponse |
Contains response data for the getStatistics operation. |
| ServiceGetUserDelegationKeyResponse |
Contains response data for the getUserDelegationKey(Date, Date, ServiceGetUserDelegationKeyOptions) operation. |
| ServiceListContainersSegmentResponse |
Contains response data for the listContainersSegment operation. |
| ServiceSetPropertiesResponse |
Contains response data for the setProperties operation. |
| ServiceSubmitBatchResponseModel |
Contains response data for the submitBatch operation. |
| SkuName |
Defines values for SkuName. |
| SyncCopyStatusType |
Defines values for SyncCopyStatusType. |
| Tags |
Blob tags. |
Enums
| BlockBlobTier |
Represents the access tier on a blob. For detailed information about block blob level tiering see Hot, cool and archive storage tiers. |
| PremiumPageBlobTier |
Specifies the page blob tier to set the blob to. This is only applicable to page blobs on premium storage accounts. Please see here for detailed information on the corresponding IOPS and throughput per PageBlobTier. |
| SASProtocol |
Protocols for generated SAS. |
| StorageBlobAudience |
Defines the known cloud audiences for Storage. |
| StorageRetryPolicyType |
RetryPolicy types. |
Functions
| generate |
ONLY AVAILABLE IN NODE.JS RUNTIME. Generates a SASQueryParameters object which contains all SAS query parameters needed to make an actual REST request. See https://docs.microsoft.com/en-us/rest/api/storageservices/constructing-an-account-sas |
| generate |
ONLY AVAILABLE IN NODE.JS RUNTIME. Creates an instance of SASQueryParameters. Only accepts required settings needed to create a SAS. For optional settings please set corresponding properties directly, such as permissions, startsOn and identifier. WARNING: When identifier is not provided, permissions and expiresOn are required. You MUST assign value to identifier or expiresOn & permissions manually if you initial with this constructor. Fill in the required details before running the following snippets. Example usage:
Example using an identifier:
Example using a blob name:
|
| generate |
ONLY AVAILABLE IN NODE.JS RUNTIME. Creates an instance of SASQueryParameters. WARNING: identifier will be ignored when generating user delegation SAS, permissions and expiresOn are required. Example usage:
|
| is |
A helper to decide if a given argument satisfies the Pipeline contract |
| new |
Creates a new Pipeline object with Credential provided. |
Function Details
generateAccountSASQueryParameters(AccountSASSignatureValues, StorageSharedKeyCredential)
ONLY AVAILABLE IN NODE.JS RUNTIME. Generates a SASQueryParameters object which contains all SAS query parameters needed to make an actual REST request.
See https://docs.microsoft.com/en-us/rest/api/storageservices/constructing-an-account-sas
function generateAccountSASQueryParameters(accountSASSignatureValues: AccountSASSignatureValues, sharedKeyCredential: StorageSharedKeyCredential): SASQueryParameters
Parameters
- accountSASSignatureValues
- AccountSASSignatureValues
- sharedKeyCredential
- StorageSharedKeyCredential
Returns
generateBlobSASQueryParameters(BlobSASSignatureValues, StorageSharedKeyCredential)
ONLY AVAILABLE IN NODE.JS RUNTIME. Creates an instance of SASQueryParameters.
Only accepts required settings needed to create a SAS. For optional settings please set corresponding properties directly, such as permissions, startsOn and identifier.
WARNING: When identifier is not provided, permissions and expiresOn are required. You MUST assign value to identifier or expiresOn & permissions manually if you initial with this constructor.
Fill in the required details before running the following snippets.
Example usage:
// Generate service level SAS for a container
const containerSAS = generateBlobSASQueryParameters({
containerName, // Required
permissions: ContainerSASPermissions.parse("racwdl"), // Required
startsOn: new Date(), // Optional
expiresOn: new Date(new Date().valueOf() + 86400), // Required. Date type
ipRange: { start: "0.0.0.0", end: "255.255.255.255" }, // Optional
protocol: SASProtocol.HttpsAndHttp, // Optional
version: "2016-05-31" // Optional
},
sharedKeyCredential // StorageSharedKeyCredential - `new StorageSharedKeyCredential(account, accountKey)`
).toString();
Example using an identifier:
// Generate service level SAS for a container with identifier
// startsOn & permissions are optional when identifier is provided
const identifier = "unique-id";
await containerClient.setAccessPolicy(undefined, [
{
accessPolicy: {
expiresOn: new Date(new Date().valueOf() + 86400), // Date type
permissions: ContainerSASPermissions.parse("racwdl").toString(),
startsOn: new Date() // Date type
},
id: identifier
}
]);
const containerSAS = generateBlobSASQueryParameters(
{
containerName, // Required
identifier // Required
},
sharedKeyCredential // StorageSharedKeyCredential - `new StorageSharedKeyCredential(account, accountKey)`
).toString();
Example using a blob name:
// Generate service level SAS for a blob
const blobSAS = generateBlobSASQueryParameters({
containerName, // Required
blobName, // Required
permissions: BlobSASPermissions.parse("racwd"), // Required
startsOn: new Date(), // Optional
expiresOn: new Date(new Date().valueOf() + 86400), // Required. Date type
cacheControl: "cache-control-override", // Optional
contentDisposition: "content-disposition-override", // Optional
contentEncoding: "content-encoding-override", // Optional
contentLanguage: "content-language-override", // Optional
contentType: "content-type-override", // Optional
ipRange: { start: "0.0.0.0", end: "255.255.255.255" }, // Optional
protocol: SASProtocol.HttpsAndHttp, // Optional
version: "2016-05-31" // Optional
},
sharedKeyCredential // StorageSharedKeyCredential - `new StorageSharedKeyCredential(account, accountKey)`
).toString();
function generateBlobSASQueryParameters(blobSASSignatureValues: BlobSASSignatureValues, sharedKeyCredential: StorageSharedKeyCredential): SASQueryParameters
Parameters
- blobSASSignatureValues
- BlobSASSignatureValues
- sharedKeyCredential
- StorageSharedKeyCredential
Returns
generateBlobSASQueryParameters(BlobSASSignatureValues, UserDelegationKey, string)
ONLY AVAILABLE IN NODE.JS RUNTIME. Creates an instance of SASQueryParameters. WARNING: identifier will be ignored when generating user delegation SAS, permissions and expiresOn are required.
Example usage:
// Generate user delegation SAS for a container
const userDelegationKey = await blobServiceClient.getUserDelegationKey(startsOn, expiresOn);
const containerSAS = generateBlobSASQueryParameters({
containerName, // Required
permissions: ContainerSASPermissions.parse("racwdl"), // Required
startsOn, // Optional. Date type
expiresOn, // Required. Date type
ipRange: { start: "0.0.0.0", end: "255.255.255.255" }, // Optional
protocol: SASProtocol.HttpsAndHttp, // Optional
version: "2018-11-09" // Must greater than or equal to 2018-11-09 to generate user delegation SAS
},
userDelegationKey, // UserDelegationKey
accountName
).toString();
function generateBlobSASQueryParameters(blobSASSignatureValues: BlobSASSignatureValues, userDelegationKey: UserDelegationKey, accountName: string): SASQueryParameters
Parameters
- blobSASSignatureValues
- BlobSASSignatureValues
- userDelegationKey
- UserDelegationKey
Return value of blobServiceClient.getUserDelegationKey()
- accountName
-
string
Returns
isPipelineLike(unknown)
A helper to decide if a given argument satisfies the Pipeline contract
function isPipelineLike(pipeline: unknown): boolean
Parameters
- pipeline
-
unknown
An argument that may be a Pipeline
Returns
boolean
true when the argument satisfies the Pipeline contract
newPipeline(StorageSharedKeyCredential | AnonymousCredential | TokenCredential, StoragePipelineOptions)
Creates a new Pipeline object with Credential provided.
function newPipeline(credential?: StorageSharedKeyCredential | AnonymousCredential | TokenCredential, pipelineOptions?: StoragePipelineOptions): Pipeline
Parameters
- credential
-
StorageSharedKeyCredential | AnonymousCredential | TokenCredential
Such as AnonymousCredential, StorageSharedKeyCredential or any credential from the @azure/identity package to authenticate requests to the service. You can also provide an object that implements the TokenCredential interface. If not specified, AnonymousCredential is used.
- pipelineOptions
- StoragePipelineOptions
Optional. Options.
Returns
A new Pipeline object.